package app15a.listener;

import app15a.util.Config;
import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

public class AppListener implements ServletContextListener {
	public void contextInitialized(ServletContextEvent cse) {
	  try {
  	  Config config = Config.getInstance();  	  
      ServletContext servletContext = cse.getServletContext();      
      String dbType = servletContext.getInitParameter("dbType");
      config.addKeyValue("dbType", dbType);
	  } 
	  catch (Exception ex) {
	     System.out.println("app15a error: " + ex.getMessage());
	  }
	}

	public void contextDestroyed(ServletContextEvent cse) {
  }
}
